package com.miaxis.test;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.miaxis.TwzdApplication;
import com.miaxis.extension.service.IWxExtensionIncomeService;
import com.miaxis.system.service.ISysUserService;
import com.miaxis.user.service.IUserInfoService;
import com.miaxis.wx.domain.WxForeverCode;
import com.miaxis.wx.service.IWxForeverCodeService;
import com.miaxis.wx.service.IWxMessageEvenService;
import com.miaxis.wx.service.IWxTicketService;
import com.miaxis.wx.service.impl.WxGzhServiceImpl;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

@ActiveProfiles("prodtest")
@SpringBootTest(classes = TwzdApplication.class)
@RunWith(SpringRunner.class)
public class NormalTest {


    @Resource
    WxGzhServiceImpl wxGzhService;

    @Autowired
    IWxExtensionIncomeService wxExtensionIncomeService;
    @Autowired
    ISysUserService userService;

    @Autowired
    IUserInfoService userInfoService;

    @Autowired
    IWxTicketService wxTicketService;

    @Autowired
    IWxMessageEvenService iWxMessageEvenService;

    @Autowired
    IWxForeverCodeService wxForeverCodeService;

    @Value("${app.appid}")
    private String appid;

    @Value("${app.appSecret}")
    private String secret;
    @Test
    public void test666() throws Exception {
        WxForeverCode wxForeverCode = wxForeverCodeService.getOne(new QueryWrapper<WxForeverCode>().eq("openid","ovKTX59nu0GOh8OBm_OHBIeC1vuI"));
        iWxMessageEvenService.gainTicketEvent("ovKTX59nu0GOh8OBm_OHBIeC1vuI",wxGzhService.getGzhToken(),true,wxForeverCode);
    }























}
