package com.miaxis.wx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.wx.domain.WxForeverCode;

import java.util.List;

/**
 * 微信永久二维码口令Mapper接口
 *
 * @author miaxis
 * @date 2022-01-17
 */
public interface WxForeverCodeMapper extends BaseMapper<WxForeverCode> {
    /**
     * 查询微信永久二维码口令列表
     *
     * @param wxForeverCode 微信永久二维码口令
     * @return 微信永久二维码口令集合
     */
    public List<WxForeverCode> selectWxForeverCodeList(WxForeverCode wxForeverCode);

}
